- Main
- Tutorials
- Library
- Samples

Typedefs | Functions
Node_Operator
Library » MX_Node_SDK

## Typedefs
typedef size_t | MX_NODE_NODE_OPERATOR_HANDLE
| Handle of a node operator. More...
typedef size_t | MX_NODE_NODE_HANDLE
| Handle of a node. More...

## Functions
MX_NODE_RESULT | mx_node_add_node (MX_NODE_NODE_OPERATOR_HANDLE operator_handle, MX_NODE_NODE *node, MX_NODE_NODE_HANDLE *node_handle)
| Add a node to OPC UA server. More...
MX_NODE_RESULT | mx_node_set_parent_node (MX_NODE_NODE_HANDLE node_handle, MX_NODE_NODE_HANDLE parent_node_handle)
| Set a node's parent. More...
MX_NODE_RESULT | mx_node_update_node (MX_NODE_NODE_HANDLE node_handle, MX_NODE_VARIANT *value, struct timeval *timestamp)
| Update a node's data and timestamp. More...

## Detailed Description

## Typedef Documentation

typedef size_t MX_NODE_NODE_OPERATOR_HANDLE

Handle of a node operator.

Definition at line 37 of file mx_node_node.h.

typedef size_t MX_NODE_NODE_HANDLE

Handle of a node.

Definition at line 42 of file mx_node_node.h.

## Function Documentation

MX_NODE_RESULT mx_node_add_node | ( | MX_NODE_NODE_OPERATOR_HANDLE | operator_handle,
|  | MX_NODE_NODE * | node,
|  | MX_NODE_NODE_HANDLE * | node_handle
| ) |  |

Add a node to OPC UA server.

Parameters

  [in] | operator_handle | This node operator handle is provided from mx_node_operator_initialize() of interface basic.
  [in] | node | The node which is added.
  [out] | node_handle | The node's handle, it is used to communicate with server.

Returns
  Add success or not.

MX_NODE_RESULT mx_node_set_parent_node | ( | MX_NODE_NODE_HANDLE | node_handle,
|  | MX_NODE_NODE_HANDLE | parent_node_handle
| ) |  |

Set a node's parent.

Parameters

  [in] | node_handle | The node which is set parent.
  [in] | parent_node_handle | The parent node's handle.

Returns
  Set parent success or not.

MX_NODE_RESULT mx_node_update_node | ( | MX_NODE_NODE_HANDLE | node_handle,
|  | MX_NODE_VARIANT * | value,
|  | struct timeval * | timestamp
| ) |  |

Update a node's data and timestamp.

Parameters

  [in] | node_handle | The handle of node which is updated.
  [in] | value | The node's updated date.
  [in] | timestamp | The node's source timestamp.

Returns
  Update success or not.